## opm-upscaling 2021.10

=== CMakeLists.txt ===
# -*- mode: cmake; tab-width: 2; indent-tabs-mode: t; truncate-lines: t; compile-command: "cmake -Wdev" -*-
# vim: set filetype=cmake autoindent tabstop=2 shiftwidth=2 noexpandtab softtabstop=2 nowrap:

###########################################################################
#                                                                         #
# Note: The bulk of the build system is located in the cmake/ directory.  #
#       This file only contains the specializations for this particular   #
#       project. Most likely you are interested in editing one of these   #
#       files instead:                                                    #
#                                                                         #
#       dune.module                              Name and version number  #
#       CMakeLists_files.cmake                   Path of source files     #
#       cmake/Modules/${project}-prereqs.cmake   Dependencies             #
#                                                                         #
###########################################################################

# Mandatory call to project
project(opm-upscaling C CXX)

cmake_minimum_required (VERSION 3.10)

option(SIBLING_SEARCH "Search for other modules in sibling directories?" ON)
option(INSTALL_BENCHMARKS "Install benchmark applications?" OFF)

if(SIBLING_SEARCH AND NOT opm-common_DIR)
  # guess the sibling dir
  get_filename_component(_leaf_dir_name ${PROJECT_BINARY_DIR} NAME)
  get_filename_component(_parent_full_dir ${PROJECT_BINARY_DIR} DIRECTORY)
  get_filename_component(_parent_dir_name ${_parent_full_dir} NAME)
  #Try if <module-name>/<build-dir> is used
  get_filename_component(_modules_dir ${_parent_full_dir} DIRECTORY)
  if(IS_DIRECTORY ${_modules_dir}/opm-common/${_leaf_dir_name})
    set(opm-common_DIR ${_modules_dir}/opm-common/${_leaf_dir_name})
  else()
    string(REPLACE ${PROJECT_NAME} opm-common _opm_common_leaf ${_leaf_dir_name})
    if(NOT _leaf_dir_name STREQUAL _opm_common_leaf
        AND IS_DIRECTORY ${_parent_full_dir}/${_opm_common_leaf})
      # We are using build directories named <prefix><module-name><postfix>
      set(opm-common_DIR ${_parent_full_dir}/${_opm_common_leaf})
    elseif(IS_DIRECTORY ${_parent_full_dir}/opm-common)
      # All modules are in a common build dir
      set(opm-common_DIR "${_parent_full_dir}/opm-common")
    endif()
  endif()
endif()
if(opm-common_DIR AND NOT IS_DIRECTORY ${opm-common_DIR})
  message(WARNING "Value ${opm-common_DIR} passed to variable"
    " opm-common_DIR is not a directory")
endif()

find_package(opm-common REQUIRED)

include(OpmInit)

# not the same location as most of the other projects? this hook overrides
macro (dir_hook)
endmacro (dir_hook)

# project information is in dune.module. Read this file and set variables.
# we cannot generate dune.module since it is read by dunecontrol before
# the build starts, so it makes sense to keep the data there then.
include (OpmInit)
OpmSetPolicies()

set(USE_OPENMP_DEFAULT ON)

# list of prerequisites for this particular project; this is in a
# separate file (in cmake/Modules sub-directory) because it is shared
# with the find module
include (${project}-prereqs)

# read the list of components from this file (in the project directory);
# it should set various lists with the names of the files to include
include (CMakeLists_files.cmake)

macro (config_hook)
	opm_need_version_of ("dune-common")
	opm_need_version_of ("dune-geometry")
	opm_need_version_of ("dune-istl")
	list (APPEND ${project}_CONFIG_IMPL_VARS
		HAVE_LAPACK
		HAVE_UMFPACK
		HAVE_SUPERLU
		HAVE_SUITESPARSE_UMFPACK
		)
endmacro (config_hook)

macro (prereqs_hook)
endmacro (prereqs_hook)

macro (sources_hook)
endmacro (sources_hook)

macro (files_hook)
endmacro (files_hook)

macro (fortran_hook)
	#  interface requires a variable to inspect, a value won't suffice
	set (UNCONDITIONALLY TRUE)
	set (${project}_FORTRAN_IF UNCONDITIONALLY)
endmacro (fortran_hook)

macro (tests_hook)
endmacro (tests_hook)

# all setup common to the OPM library modules is done here
include (OpmLibMain)

# setup extra tests (using helper binaries)
include (${CMAKE_CURRENT_SOURCE_DIR}/compareUpscaling.cmake)

# encode test cases so they can be embedded in the benchmark executables
include (${PROJECT_SOURCE_DIR}/EmbedCases.cmake)

# Setup static benchmarks
include(OpmStaticTargets)
opm_from_git(${PROJECT_SOURCE_DIR} benchmarks ${VCS_SHA1} benchmarks)
add_dependencies(benchmarks-static opm-grid-static)

# Copy static benchmarks to main project binary directory
foreach(benchmark ${OPM_BENCHMARKS})
  add_custom_command(TARGET benchmarks-static POST_BUILD
                     COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_BINARY_DIR}/static/benchmarks/src/benchmarks-static-build/bin/${benchmark}
                                                      ${CMAKE_BINARY_DIR}/bin/${benchmark}-static)
	if(INSTALL_BENCHMARKS)
		install(TARGETS ${benchmark} DESTINATION bin)
	endif()
endforeach()

=== debian/changelog ===
opm-upscaling (2021.10-4) unstable; urgency=medium

  * d/tests: Added Restrictions: skip-not-installable

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 22 Feb 2022 19:20:59 +0530

opm-upscaling (2021.10-3) unstable; urgency=medium

  * d/control: Removed libsuperlu3-dev from Build-Depends to fix buildd.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 21 Feb 2022 20:40:32 +0530

opm-upscaling (2021.10-2) unstable; urgency=medium

  * d/control: Use standard version 4.6.0.
  * d/control: Remove g++ from Build-Depends.
  * d/control: Build for any architectures.
  * d/control: Added dependency on libboost-date-time-dev to dev package

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 16 Feb 2022 12:44:57 +0100

opm-upscaling (2021.10-1) unstable; urgency=medium

  * Initial release (Closes: #987381)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 16 Nov 2021 19:31:47 +0100

=== debian/control ===
Source: opm-upscaling
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
Build-Depends: debhelper-compat (= 13), cmake (>=3.10), quilt,
               libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
               gfortran, libtinyxml-dev, bc,
               git, zlib1g-dev, libtool, libopm-material-dev (>=2021.10), libopm-grid-dev (>=2021.10),
               doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
               pkg-config, mpi-default-dev, mpi-default-bin
Standards-Version: 4.6.0
Section: libs
Homepage: http://opm-project.org
Vcs-Browser: https://salsa.debian.org/science-team/opm-upscaling
Vcs-Git: https://salsa.debian.org/science-team/opm-upscaling.git
Rules-Requires-Root: no


Package: libopm-upscaling-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>=2021.10),
         libopm-material-dev (>=2021.10), libboost-date-time-dev
Replaces: libopm-upscaling1-dev
Suggests: libopm-upscaling-doc
Description: Porous media upscaling tools -- development files
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-upscaling provides tools for single phase and relative permeability
 upscaling. During upscaling effective parameters (like porosity,
 permeability, and capillary pressure) for a simulation on a coarser scale
 are computed from properties of a simulation on a fine scale.
 .
 Package provides the development files (headers and shared library links).

Package: libopm-upscaling-bin
Section: science
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libopm-upscaling1-bin
Suggests: libopm-upscaling-doc
Description: Porous media upscaling tools -- applications
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-upscaling provides tools for single phase and relative permeability
 upscaling. During upscaling effective parameters (like porosity,
 permeability, and capillary pressure) for a simulation on a coarser scale
 are computed from properties of a simulation on a fine scale.
 .
 Package provides the upscaling applications.

Package: libopm-upscaling
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${opm:shared-library}
Replaces: libopm-upscaling1
Description: Porous media upscaling tools -- library
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-upscaling provides tools for single phase and relative permeability
 upscaling. During upscaling effective parameters (like porosity,
 permeability, and capillary pressure) for a simulation on a coarser scale
 are computed from properties of a simulation on a fine scale.
 .
 Package provides the shared library used by the upscaling applications.

Package: libopm-upscaling-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces: libopm-upscaling1-doc
Depends: ${misc:Depends}
Description: Porous media upscaling tools -- documentation
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-upscaling provides tools for single phase and relative permeability
 upscaling. During upscaling effective parameters (like porosity,
 permeability, and capillary pressure) for a simulation on a coarser scale
 are computed from properties of a simulation on a fine scale.
 .
 Package provides the documentation of the source code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

OPM_DEBIAN_CMAKE_FLAGS = -DINSTALL_BENCHMARKS=1

%:
	dh $@

include /usr/share/opm/opm-debian.mk
include /usr/share/opm/opm-lib-debian.mk # for makeshlibs

=== debian/tests/control ===
Test-Command: upscale_perm -bc p -output /tmp/upscale_perm_BCp_PeriodicTilted.txt tests/input_data/grids/PeriodicTilted.grdecl && rm /tmp/upscale_perm_BCp_PeriodicTilted.txt
Depends:
  libopm-upscaling-bin
Restrictions: skip-not-installable

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz%opm-upscaling-$1.tar.gz%" \
   https://github.com/OPM/opm-upscaling/tags \
   (?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz debian uupdate

# Direct Git
# opts="mode=git" http://git.example.com/opm-upscaling.git \
#   refs/tags/v([\d\.]+) debian uupdate

## opm-upscaling 2022.04+ds

=== debian/changelog ===
opm-upscaling (2022.04+ds-2) unstable; urgency=medium

  * Changed version in dune.module to 2022.04

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 May 2022 14:21:46 +0200

opm-upscaling (2022.04+ds-1) unstable; urgency=medium

  * New final upstream release 2022.04
  * d/watch: Advertise repackaged source in tarball name.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 11 May 2022 23:11:48 +0200

opm-upscaling (2022.04~rc1-2) experimental; urgency=medium

  * d/rules: Fix OPM version dependency

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 28 Apr 2022 14:52:36 +0200

opm-upscaling (2022.04~rc1-1) experimental; urgency=medium

  * New upstream release candidate 2022.04-rc1
  * d/control: Fix dependency on OPM version.
  * Dropped patches that are in upstream:
  * d/control: Use debhelper-compat (= 12) to support older Ubuntu.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 28 Apr 2022 00:11:23 +0200

opm-upscaling (2021.10-5) unstable; urgency=medium

  * d/rules: Facilitate building with pbuilder without local libopm-common-dev
  * d/tests: Added allow-stderr to Restrictions.
  * d/control: Added libboost-iostreams-dev to Build-Depends

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 01 Apr 2022 17:57:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 13), cmake (>=3.10), quilt,
+Build-Depends: debhelper-compat (= 12), cmake (>=3.10), quilt,
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
+               libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               git, zlib1g-dev, libtool, libopm-material-dev (>=2021.10), libopm-grid-dev (>=2021.10),
+               git, zlib1g-dev, libtool, libopm-material-dev (>= 2022.04), libopm-grid-dev (>= 2022.04),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
                pkg-config, mpi-default-dev, mpi-default-bin
 Standards-Version: 4.6.0
@@ -20,8 +21,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>=2021.10),
-         libopm-material-dev (>=2021.10), libboost-date-time-dev
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2022.04),
+         libopm-material-dev (>= 2022.04), libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc
 Description: Porous media upscaling tools -- development files

=== debian/tests/control ===
Test-Command: upscale_perm -bc p -output /tmp/upscale_perm_BCp_PeriodicTilted.txt tests/input_data/grids/PeriodicTilted.grdecl && rm /tmp/upscale_perm_BCp_PeriodicTilted.txt
Depends:
  libopm-upscaling-bin
Restrictions: skip-not-installable, allow-stderr

## opm-upscaling 2022.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -126,3 +126,6 @@
 		install(TARGETS ${benchmark} DESTINATION bin)
 	endif()
 endforeach()
+
+install(DIRECTORY doc/man1 DESTINATION ${CMAKE_INSTALL_MANDIR}
+  FILES_MATCHING PATTERN "*.1")

=== debian/changelog ===
opm-upscaling (2022.10+ds-4) unstable; urgency=medium

  * Removed stale static benchmarks to really not need git.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 09 Mar 2023 13:36:31 +0100

opm-upscaling (2022.10+ds-3) unstable; urgency=medium

  * d/control: Remove git from Build-Depends as it is not needed.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 09 Mar 2023 00:01:19 +0100

opm-upscaling (2022.10+ds-2) experimental; urgency=medium

  * d/control: Bumped standards version to 4.6.2 (no-change)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 09 Jan 2023 16:57:02 +0100

opm-upscaling (2022.10+ds-1) unstable; urgency=medium

  * New upstream version 2022.10
  * d/control: Bump version dependency on OPM modules.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Nov 2022 16:37:14 +0100

opm-upscaling (2022.10~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10-rc2
  * d/tests: depend on same version of packages for autopkgtest.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 08 Nov 2022 21:01:00 +0100

opm-upscaling (2022.10~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10~rc1
  * Rediff patches

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 04 Nov 2022 10:26:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               git, zlib1g-dev, libtool, libopm-material-dev (>= 2022.04), libopm-grid-dev (>= 2022.04),
+               zlib1g-dev, libtool, libopm-material-dev (>= 2022.10), libopm-grid-dev (>= 2022.10),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
                pkg-config, mpi-default-dev, mpi-default-bin
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: http://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-upscaling
@@ -21,8 +21,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2022.04),
-         libopm-material-dev (>= 2022.04), libboost-date-time-dev
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2022.10),
+         libopm-material-dev (>= 2022.10), libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc
 Description: Porous media upscaling tools -- development files

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,12 @@
 %:
 	dh $@
 
-include /usr/share/opm/opm-debian.mk
-include /usr/share/opm/opm-lib-debian.mk # for makeshlibs
+OPM_DEBIAN_MK ?= /usr/share/opm/opm-debian.mk
+ifneq ("$(wildcard $(OPM_DEBIAN_MK))","")
+   include $(OPM_DEBIAN_MK)
+endif
+OPM_LIB_DEBIAN_MK ?= /usr/share/opm/opm-lib-debian.mk
+ifneq ("$(wildcard $(OPM_LIB_DEBIAN_MK))","")
+    include $(OPM_LIB_DEBIAN_MK) # for makeshlibs
+endif
+

=== debian/watch ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #opts="pgpsigurlmangle=s%$%.sig%"
 
 # GitHub hosted projects
-opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz%opm-upscaling-$1.tar.gz%" \
+opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz%opm-upscaling-$1.tar.gz%,oversionmangle=s/(.*)/$1+ds/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
    https://github.com/OPM/opm-upscaling/tags \
    (?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz debian uupdate

## opm-upscaling 2023.04+ds

=== debian/changelog ===
opm-upscaling (2023.04+ds-1build1) mantic; urgency=medium

  * No-change rebuild against libumfpack6

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 14:14:03 +0000

opm-upscaling (2023.04+ds-1) unstable; urgency=medium

  * New upstream release 2023.04

 -- Markus Blatt <markus@dr-blatt.de>  Sat, 15 Jul 2023 13:38:02 +0200

opm-upscaling (2022.10+ds-5) unstable; urgency=medium

  * d/control: Limit the architectures to known working ones.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 23 Mar 2023 08:35:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               zlib1g-dev, libtool, libopm-material-dev (>= 2022.10), libopm-grid-dev (>= 2022.10),
+               zlib1g-dev, libtool, libopm-grid-dev (>= 2023.04),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
                pkg-config, mpi-default-dev, mpi-default-bin
 Standards-Version: 4.6.2
@@ -19,10 +19,10 @@
 
 Package: libopm-upscaling-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2022.10),
-         libopm-material-dev (>= 2022.10), libboost-date-time-dev
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2023.04),
+         libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc
 Description: Porous media upscaling tools -- development files
@@ -39,7 +39,7 @@
 
 Package: libopm-upscaling-bin
 Section: science
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libopm-upscaling1-bin
@@ -58,7 +58,7 @@
 
 Package: libopm-upscaling
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${opm:shared-library}

## opm-upscaling 2023.10~rc1+ds

=== debian/changelog ===
opm-upscaling (2023.10~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2023.10~rc1
  * d: Do not try to install removed pkg-config files.
  * d/watch: Also allow downloading upstream release candidates

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 17 Oct 2023 21:24:49 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               zlib1g-dev, libtool, libopm-grid-dev (>= 2023.04),
+               zlib1g-dev, libtool, libopm-grid-dev (>= 2023.10~),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
                pkg-config, mpi-default-dev, mpi-default-bin
 Standards-Version: 4.6.2
@@ -21,7 +21,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2023.04),
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2023.10~),
          libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc

## opm-upscaling 2023.10+ds

=== debian/changelog ===
opm-upscaling (2023.10+ds-2) experimental; urgency=medium

  * d/control: Fix dependency on versioned OPM modules.

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 12 Nov 2023 19:59:21 +0100

opm-upscaling (2023.10+ds-1) experimental; urgency=medium

  * New upstream release 2023.10
  * d/copyright: Update copyright
  * d/control: Depend on final OPM 2023.10 version

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 12 Nov 2023 16:35:27 +0100

opm-upscaling (2023.10~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2023.10-rc2

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 30 Oct 2023 20:34:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               zlib1g-dev, libtool, libopm-grid-dev (>= 2023.10~),
+               zlib1g-dev, libtool, libopm-grid-dev (>= 2023.10),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
                pkg-config, mpi-default-dev, mpi-default-bin
 Standards-Version: 4.6.2
@@ -21,7 +21,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2023.10~),
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2023.10),
          libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc

## opm-upscaling 2024.04+ds

=== debian/changelog ===
opm-upscaling (2024.04+ds-2) unstable; urgency=medium

  * d/control: depend on OPM >= 2024.04

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 13 May 2024 13:13:15 +0200

opm-upscaling (2024.04+ds-1) unstable; urgency=medium

  * New upstream release 2024.04.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 21:32:23 +0200

opm-upscaling (2024.04~rc2+ds-2) unstable; urgency=medium

  * New upstream release candidate 2024.04~rc2.
  * Depend on OPM >= 2024.04~ 

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 07 May 2024 19:48:43 +0200

opm-upscaling (2024.04~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2024.04~rc2.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 06 May 2024 18:04:52 +0200

opm-upscaling (2024.04~rc1+ds-1) experimental; urgency=medium

  * New release candidate 2024.04~rc1
  * Depend on OPM >= 2024.04~

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 19 Apr 2024 20:11:04 +0200

opm-upscaling (2023.10+ds-3) unstable; urgency=medium

  * Team upload.
  * Add support for loong64
    Closes: #1059847
  * Replace deprecated Build-Depends pkg-config by pkgconf
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 18:51:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 12), cmake (>=3.10), quilt,
+Build-Depends: debhelper-compat (= 13), quilt,
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               zlib1g-dev, libtool, libopm-grid-dev (>= 2023.10),
+               zlib1g-dev, libtool, libopm-grid-dev (>= 2024.04),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
-               pkg-config, mpi-default-dev, mpi-default-bin
+               pkgconf, mpi-default-dev, mpi-default-bin
 Standards-Version: 4.6.2
 Section: libs
-Homepage: http://opm-project.org
+Homepage: https://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-upscaling
 Vcs-Git: https://salsa.debian.org/science-team/opm-upscaling.git
 Rules-Requires-Root: no
@@ -19,9 +19,9 @@
 
 Package: libopm-upscaling-dev
 Section: libdevel
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2023.10),
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2024.04),
          libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc
@@ -39,7 +39,7 @@
 
 Package: libopm-upscaling-bin
 Section: science
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libopm-upscaling1-bin
@@ -58,7 +58,7 @@
 
 Package: libopm-upscaling
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${opm:shared-library}

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,3 @@
 ifneq ("$(wildcard $(OPM_LIB_DEBIAN_MK))","")
     include $(OPM_LIB_DEBIAN_MK) # for makeshlibs
 endif
-

## opm-upscaling 2024.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,10 @@
 #                                                                         #
 ###########################################################################
 
+cmake_minimum_required (VERSION 3.10)
+
 # Mandatory call to project
 project(opm-upscaling C CXX)
-
-cmake_minimum_required (VERSION 3.10)
 
 option(SIBLING_SEARCH "Search for other modules in sibling directories?" ON)
 option(INSTALL_BENCHMARKS "Install benchmark applications?" OFF)
@@ -112,20 +112,5 @@
 # encode test cases so they can be embedded in the benchmark executables
 include (${PROJECT_SOURCE_DIR}/EmbedCases.cmake)
 
-# Setup static benchmarks
-include(OpmStaticTargets)
-opm_from_git(${PROJECT_SOURCE_DIR} benchmarks ${VCS_SHA1} benchmarks)
-add_dependencies(benchmarks-static opm-grid-static)
-
-# Copy static benchmarks to main project binary directory
-foreach(benchmark ${OPM_BENCHMARKS})
-  add_custom_command(TARGET benchmarks-static POST_BUILD
-                     COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_BINARY_DIR}/static/benchmarks/src/benchmarks-static-build/bin/${benchmark}
-                                                      ${CMAKE_BINARY_DIR}/bin/${benchmark}-static)
-	if(INSTALL_BENCHMARKS)
-		install(TARGETS ${benchmark} DESTINATION bin)
-	endif()
-endforeach()
-
 install(DIRECTORY doc/man1 DESTINATION ${CMAKE_INSTALL_MANDIR}
   FILES_MATCHING PATTERN "*.1")

=== debian/changelog ===
opm-upscaling (2024.10+ds-1build1) plucky; urgency=medium

  * No-change rebuild for openmpi

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 06 Dec 2024 15:19:38 +0000

opm-upscaling (2024.10+ds-1) unstable; urgency=medium

  * New upstream version 2024.10
  * d/control: Depend on OPM 2024.10
  * d/control: Bumped standards version to 4.7.0 (no changes)
  * d/rules: Use chrpath to strip RUNPATH from installed libs/executables.
  * d/copyright: Update copyright

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 15 Nov 2024 16:54:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 13), quilt,
+Build-Depends: debhelper-compat (= 13), quilt, chrpath,
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               zlib1g-dev, libtool, libopm-grid-dev (>= 2024.04),
+               zlib1g-dev, libtool, libopm-grid-dev (>= 2024.10),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
                pkgconf, mpi-default-dev, mpi-default-bin
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-upscaling
@@ -21,7 +21,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2024.04),
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2024.10),
          libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,13 @@
 include /usr/share/dpkg/architecture.mk
 
 OPM_DEBIAN_CMAKE_FLAGS = -DINSTALL_BENCHMARKS=1
+
+override_dh_install:
+	# Manual delete runpath set by openmpi 5.0.5
+	# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1085509
+	find debian/tmp/ \( -name \*.so -o  -name \*.so.\* \) -exec chrpath -d '{}' \; || true
+	find debian/tmp/usr/bin -type f -exec chrpath -d '{}' \; || true
+	dh_install
 
 %:
 	dh $@

## opm-upscaling 2025.04~rc3+ds

=== debian/changelog ===
opm-upscaling (2025.04~rc3+ds-1) experimental; urgency=medium

  *  New upstream pre-release candidate 2025.04~rc3

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 29 Apr 2025 10:51:03 +0200

opm-upscaling (2025.04~rc2+ds-1) experimental; urgency=medium

  * New upstream pre-release candidate 2025.04~rc2

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 16 Apr 2025 15:14:02 +0200

opm-upscaling (2025.04~git20250328.1e8b038+ds-1~exp1) experimental; urgency=medium

  * Prelease version of upcoming 2025.04 release from upstream
  * d/control: Bump standard version to 4.7.2 (no change)
  * d/control: Depend on OPM 2025.04

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 03 Apr 2025 15:42:33 +0200

## opm-upscaling 2025.04%2Bds

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               zlib1g-dev, libtool, libopm-grid-dev (>= 2024.10),
+               zlib1g-dev, libtool, libopm-grid-dev (>= 2025.04~),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
                pkgconf, mpi-default-dev, mpi-default-bin
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-upscaling
@@ -21,7 +21,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2024.10),
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2025.04~),
          libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc

## opm-upscaling 2025.04+ds

=== debian/changelog ===
opm-upscaling (2025.04+ds-1) unstable; urgency=medium

  * New upstream release version 2025.04
  * d/control: Bump standard version to 4.7.2 (no change)
  * d/control: Depend on OPM 2025.04

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 11 Aug 2025 17:44:01 +0200

=== debian/tests/control ===
Test-Command: upscale_perm -bc p -output /tmp/upscale_perm_BCp_PeriodicTilted.txt tests/input_data/grids/PeriodicTilted.grdecl && rm /tmp/upscale_perm_BCp_PeriodicTilted.txt
Depends:
  libopm-upscaling-bin (>= 2022.10)
Restrictions: skip-not-installable, allow-stderr

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d.\d\d)/(.*)\.tar\.gz%@PACKAGE@-$1-$2.tar.gz%,oversionmangle=s/(.*)/$1+ds/,uversionmangle=s/.final//;s/.rc/~rc/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
   https://github.com/OPM/@PACKAGE@/tags \
   (?:.*?)?release/(\d\d\d\d\.\d\d)/(final|rc.*)\.tar\.gz debian uupdate

# Direct Git
# opts="mode=git" http://git.example.com/opm-upscaling.git \
#   refs/tags/v([\d\.]+) debian uupdate

## opm-upscaling 2025.10~git20251002.6d978d4+ds

=== debian/changelog ===
opm-upscaling (2025.10~git20251002.6d978d4+ds-1) experimental; urgency=medium

  * New prerelease version based on commit 5abe82e
  * Depend on OPM 2025.10

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 09 Oct 2025 22:15:04 +0200

## opm-upscaling 2025.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -79,7 +79,6 @@
 	opm_need_version_of ("dune-istl")
 	list (APPEND ${project}_CONFIG_IMPL_VARS
 		HAVE_LAPACK
-		HAVE_UMFPACK
 		HAVE_SUPERLU
 		HAVE_SUITESPARSE_UMFPACK
 		)

=== debian/changelog ===
opm-upscaling (2025.10+ds-2) unstable; urgency=medium

  * Fix build with boost 1.90 (Closes: 1127251)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 09 Feb 2026 12:15:51 +0100

opm-upscaling (2025.10+ds-1) unstable; urgency=medium

  * New upstrean release 2025.10+ds
  * Depend on OPM 2025.10

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 24 Oct 2025 17:54:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,26 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 13), quilt, chrpath,
-               libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
+Build-Depends: debhelper-compat (= 13),
+               quilt,
+               chrpath,
+               libboost-dev,
+               libboost-date-time-dev,
+               libboost-test-dev,
                libboost-iostreams-dev,
-               gfortran, libtinyxml-dev, bc,
-               zlib1g-dev, libtool, libopm-grid-dev (>= 2025.04~),
-               doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
-               pkgconf, mpi-default-dev, mpi-default-bin
+               gfortran,
+               libtinyxml-dev,
+               bc,
+               zlib1g-dev,
+               libtool,
+               libopm-grid-dev (>= 2025.10~),
+               doxygen,
+               texlive-latex-extra,
+               texlive-latex-recommended,
+               ghostscript,
+               pkgconf,
+               mpi-default-dev,
+               mpi-default-bin
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://opm-project.org
@@ -21,8 +34,11 @@
 Section: libdevel
 Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2025.04~),
-         libboost-date-time-dev
+Depends: ${opm:shared-library},
+         ${misc:Depends},
+         libopm-grid-dev (>= 2025.10~),
+         libboost-date-time-dev,
+         libboost-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc
 Description: Porous media upscaling tools -- development files
